AiAgent
List of all available AI agents as an array
GET /aiAgents
GET /aiAgents
Query parameters
limitintegerqueryThe number of items to return
offsetintegerqueryThe number of items to skip
categoryFilterenumqueryFilter criteria based on category. If ommited, only ai agents will be returned ("intent")
typeFilterenumqueryFilter criteria based on type of the executor. If ommited, all types are returned.
formatenumqueryOutput format. Either short (only name/id), medium (key facts) or full (all details). Defaults to full.
qstringquerySearch query for fulltext search in name and description fields. Results are ordered by relevance when search is used
Responses
200 — Successful operation
Response Example
[
{
"id": 1,
"tagId": 41,
"channels": [
"all"
],
"name": "Change bank data (Code)",
"description": "Customer wants to change his bank data",
"appearance": null,
"exampleTicketIds": [
8,
26
],
"settings": null
}
]403 — Unauthorized
500 — Internal error